Sony Xperia U — Whatsapp cannot be installed error -11 is shown

  • Replies:6
  • OpenNot stickiedUnanswered
  • Forum posts: 1

Dec 11, 2016 1:18:59 PM via Website

Suddenly I may not install the newest version of whatsapp as it always shows up error: -11.
I checked the storage capacity of the phone already. Is there any other reason known? Or is just the smartphone not compatible with the newest whatsapp version? I cannot find anything on google about error -11. Does anyone know about this? Thanks!

  • Forum posts: 10

Dec 11, 2016 2:13:40 PM via Website

The actual WhatsApp 2.16.382 version is not running anymore on devices with Android version lower than 4.0 (officially 2.1 and 2.2) since they launched the video call feature.

It seems like they have dropped the support for those devices as they did for Windows 7 - 7.5 phones, Symbian S40-S60 and Blackberry OS 7 and lower according to their blog.

You should try version 2.16.225 or 2.16.259 (find the apks).

  • Forum posts: 6

Dec 11, 2016 5:17:47 PM via Website

Im having the same issue and the same error message (-11). My WA was working fine and suddenly stopped. I tried to update and it wouldnt work. I uninstalled and tried to reinstall and that didnt work either. My Android version is 2.3 and when I DL WA it says my device is compatible. A quandary. I need to connect with clients and Im in a pickle here. Im in Brazil (American) and my fone is a Galaxy 2 lite.

  • Forum posts: 2

Dec 11, 2016 8:35:54 PM via Website

I have the same problem that Shanty had. I tried to install the versions Stephen suggested but they just won't work. I'm so tired of looking for answers online. I spent more than 8 hours in front of the PC yesterday but it's impossible.

  • Forum posts: 2

Dec 11, 2016 9:14:20 PM via Website

This is what worked for me:

Try installing 2.16.259 over 2.16.225 this way:

  • Download APKs for WhatsApp version 2.16.225 and 2.16.259.
  • Install 225 first, don't open it
  • Reboot the phone
  • Install 259

But soon or later these versions will be dropped as well.

  • Forum posts: 6

Dec 12, 2016 12:21:53 PM via Website

I have 2.3 on my phone and I dont understand why its even being excluded. Also, what folder in my phone do i extract the .apk file to?

  • Forum posts: 12

Dec 14, 2016 4:15:27 AM via Website

May result in this kind of mistake is a mobile device